Service to use ProductInput resource.

For more information, see [Manage products](https://developers.google.com/merchant/api/guides/products/overview.md.txt), [Add and manage products](https://developers.google.com/merchant/api/guides/products/add-manage.md.txt), [Make frequent updates to your products](https://developers.google.com/merchant/api/guides/products/frequent-updates.md.txt), and [Manage API data sources](https://developers.google.com/merchant/api/guides/data-sources/api-sources.md.txt#create-primary-data-source).

| [DeleteProductInput](https://developers.google.com/merchant/api/reference/rpc/google.shopping.merchant.products.v1/ProductInputsService/DeleteProductInput.md.txt) |
|---|
| `` rpc DeleteProductInput(`DeleteProductInputRequest`) returns (`Empty`) `` Deletes a product input from your Merchant Center account. After inserting, updating, or deleting a product input, it may take several minutes before the processed product can be retrieved. Authorization scopes :   Requires the following OAuth scope: - `https://www.googleapis.com/auth/content` For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2). |

| [InsertProductInput](https://developers.google.com/merchant/api/reference/rpc/google.shopping.merchant.products.v1/ProductInputsService/InsertProductInput.md.txt) |
|---|
| `` rpc InsertProductInput(`InsertProductInputRequest`) returns (`ProductInput`) `` [Uploads a product input to your Merchant Center account](https://developers.google.com/merchant/api/guides/products/add-manage.md.txt#add_a_product). You must have a products [data source](https://developers.google.com/merchant/api/guides/data-sources/api-sources.md.txt#create-primary-data-source) to be able to insert a product. The unique identifier of the data source is passed as a query parameter in the request URL. If a product input with the same contentLanguage, offerId, and dataSource already exists, then the product input inserted by this method replaces that entry. After inserting, updating, or deleting a product input, it may take several minutes before the processed product can be retrieved. Authorization scopes :   Requires the following OAuth scope: - `https://www.googleapis.com/auth/content` For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2). |

| [UpdateProductInput](https://developers.google.com/merchant/api/reference/rpc/google.shopping.merchant.products.v1/ProductInputsService/UpdateProductInput.md.txt) |
|---|
| `` rpc UpdateProductInput(`UpdateProductInputRequest`) returns (`ProductInput`) `` Updates the existing product input in your Merchant Center account. The name of the product input to update is taken from the `name` field within the `ProductInput` resource. After inserting, updating, or deleting a product input, it may take several minutes before the processed product can be retrieved. For more information, see [Add and manage products](https://developers.google.com/merchant/api/guides/products/add-manage.md.txt) and [Make frequent updates to your products](https://developers.google.com/merchant/api/guides/products/frequent-updates.md.txt). Authorization scopes :   Requires the following OAuth scope: - `https://www.googleapis.com/auth/content` For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2). |